# Class DatatypeLibraryLoader

java.lang.Object
org.relaxng.datatype.helpers.DatatypeLibraryLoader

All Implemented Interfaces:
  `DatatypeLibraryFactory`

public class DatatypeLibraryLoader extends Object implements DatatypeLibraryFactory
Discovers the datatype library implementation from the classpath.

The call of the createDatatypeLibrary method finds an implementation from a given datatype library URI at run-time.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatatypeLibraryLoader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatatypeLibrary`
  `createDatatypeLibrary(String uri)`
  Creates a new instance of a DatatypeLibrary that supports the specified namespace URI.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DatatypeLibraryLoader

    public DatatypeLibraryLoader()

- ## Method Details

  - ### createDatatypeLibrary

    public DatatypeLibrary createDatatypeLibrary(String uri)
    Description copied from interface: `DatatypeLibraryFactory`
    Creates a new instance of a DatatypeLibrary that supports the specified namespace URI.
    Specified by:
      `createDatatypeLibrary` in interface `DatatypeLibraryFactory`
    Returns:
      `null` if the specified namespace URI is not supported.